LINUX.ORG.RU
решено ФорумAdmin

Быстро забивается syslog

 , , ,


0

1

Доброго дня суток!

Подскажите пожалуйста у меня машинка срет логами в каталог /var/log/syslog и в течение нескольких минут забивает диск до 100%

Ошибки такого плана:

WARNING [EventEpisodesService] Episode lifespan manager failed with:#012Traceback (most recent call last):#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/backends/base/base.py», line 234, in _cursor#012 return self._prepare_cursor(self.create_cursor(name))#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/backends/postgresql/base.py», line 218, in create_cursor#012 cursor = self.connection.cursor()#012psycopg2.InterfaceError: connection already closed#012#012The above exception was the direct cause of the following exception:#012#012Traceback (most recent call last):#012 File «/opt/ffsecurity/lib/python3.6/site-packages/ffsecurity/asgi/services/event_episodes.py», line 284, in episode_lifespan_manager#012 for episode in episode_qs:#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/models/query.py», line 268, in __iter__#012 self._fetch_all()#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/models/query.py», line 1183, in _fetch_all#012 self._result_cache = list(self._iterable_class(self))#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/models/query.py», line 54, in __iter__#012 results = compiler.execute_sql(chunked_fetch=self.chunked_fetch, chunk_size=self.chunk_size)#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/models/sql/compiler.py», line 1059, in execute_sql#012 cursor = self.connection.cursor()#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/backends/base/base.py», line 255, in cursor#012 return self._cursor()#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/backends/base/base.py», line 234, in _cursor#012 return self._prepare_cursor(self.create_cursor(name))#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/utils.py», line 89, in __exit__#012 raise dj_exc_value.with_traceback(traceback) from exc_value#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/backends/base/base.py», line 234, in _cursor#012 return self._prepare_cursor(self.create_cursor(name))#012 File «/opt/ffsecurity/lib/python3.6/site-packages/django/db/backends/postgresql/base.py», line 218, in create_cursor#012 cursor = self.connection.cursor()#012django.db.utils.InterfaceError: connection already closed

Как можно решить проблемку?

Разобраться что там за траблы между postgresql и джангой, почему закрывается соединение…дважды

menangen ★★★★★ ()

не писать Warning'и в сислог, ещё и со стектрейсами, если не было такого требования.

если было – идти чинить, как выше сказали

vedowi6419 ()
Ответ на: комментарий от troy856

гм, обратиться к вашему системному администратору?

алло, у тебя крутится какой-то сайт, у него какие-то проблемы с какой-то базой, каких советов ты тут ждёшь, телепаты в отпуске

vedowi6419 ()
Ограничение на отправку комментариев: только для зарегистрированных пользователей